Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.el
Class SimpleActionMethodBinding

    java.lang.Object
      javax.faces.el.MethodBinding
          org.apache.myfaces.el.SimpleActionMethodBinding

All Implemented Interfaces:
  javax.faces.component.StateHolder

public class SimpleActionMethodBinding
extends javax.faces.el.MethodBinding
implements javax.faces.component.StateHolder

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Manfred Geiler (latest modification by $Author: matze $)

Constructor Summary
`SimpleActionMethodBinding()` Empty constructor, so that new instances can be created when restoring state.
`SimpleActionMethodBinding(java.lang.String outcome)`

Method Summary
`java.lang.Class` | `getType(javax.faces.context.FacesContext facescontext)`
`java.lang.Object` | `invoke(javax.faces.context.FacesContext facescontext, java.lang.Object[] aobj)`
`boolean` | `isTransient()`
`void` | `restoreState(javax.faces.context.FacesContext facescontext, java.lang.Object obj)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext facescontext)`
`void` | `setTransient(boolean flag)`

Methods inherited from class javax.faces.el.MethodBinding
`getExpressionString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleActionMethodBinding

    public SimpleActionMethodBinding(java.lang.String outcome)

### SimpleActionMethodBinding

    public SimpleActionMethodBinding()

  Empty constructor, so that new instances can be created when restoring state.

Method Detail

### invoke

    public java.lang.Object invoke(javax.faces.context.FacesContext facescontext,
                                   java.lang.Object[] aobj)
                            throws javax.faces.el.EvaluationException,
                                   javax.faces.el.MethodNotFoundException

  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.MethodNotFoundException`

### getType

    public java.lang.Class getType(javax.faces.context.FacesContext facescontext)
                            throws javax.faces.el.MethodNotFoundException

  Throws:
    `javax.faces.el.MethodNotFoundException`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext facescontext)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext facescontext,
                             java.lang.Object obj)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean flag)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD